m4_define([DUNE_AC_INIT],[
  AC_INIT([dune-grid-dev-howto], [1.2], [dune@dune-project.org])
  AC_SUBST([DUNE_MOD_VERSION], [1.2])
  AC_SUBST([DUNE_MOD_NAME], [dune-grid-dev-howto])
  AC_SUBST([DUNE_MAINTAINER_NAME], [dune@dune-project.org])
  DUNE_PARSE_MODULE_VERSION([dune-grid-dev-howto], [1.2])
  # don't build shared libs per default, this is way better for debugging...
  m4_ifdef([LT_INIT],
    [LT_INIT([disable-shared])],
    [AC_DEFUN([LT_OUTPUT])])
  AC_DISABLE_SHARED

  REQUIRES=" dune-common   dune-grid  "
  AC_SUBST(REQUIRES, [])
])

AC_DEFUN([DUNE_CHECK_MOD_DEPENDENCIES], [
  AC_REQUIRE([PKG_PROG_PKG_CONFIG])
  AC_REQUIRE([AC_PROG_CC])
  AC_REQUIRE([AC_PROG_CPP])
  AC_REQUIRE([AC_PROG_CXX])
  AC_REQUIRE([AC_PROG_CXXCPP])
  AC_REQUIRE([AC_PROG_LIBTOOL])
  m4_ifdef([AC_LIBTOOL_LANG_CXX_CONFIG],[AC_LIBTOOL_LANG_CXX_CONFIG])
  ### check dependency dune-common
  # invoke checks required by this module
  AC_REQUIRE([DUNE_COMMON_CHECKS])
  # invoke check for this module
  AC_REQUIRE([DUNE_COMMON_CHECK_MODULE])
  if test x$with_dune_common = xno; then
    AC_MSG_ERROR([could not find required module _dune_name])
  fi
  ### check dependency dune-grid
  # invoke checks required by this module
  AC_REQUIRE([DUNE_GRID_CHECKS])
  # invoke check for this module
  AC_REQUIRE([DUNE_GRID_CHECK_MODULE])
  if test x$with_dune_grid = xno; then
    AC_MSG_ERROR([could not find required module _dune_name])
  fi
  ### invoke checks for dune-grid-dev-howto
  AC_REQUIRE([DUNE_GRID_DEV_HOWTO_CHECKS])
])
